Announcement

Collapse
No announcement yet.

Problems with open-xchange-gui

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Ok, I fixed my problem by using the core installation of Ant 1.7 available on the official website of Apache. No need for the extensions.

    But I have a new problem. The msgcat application that is part of the gettext package is not available on my SuSE 10.1 version. Seems that is was part of the distribution in SuSE 9.3 but it disapeared in the 10.1 !

    I'm still trying to find a old version of that package for open-xchange to compile.

    I had the feeling that your compilation tool chain is too much dependant on extra and unidentified libs / tools...

    Comment


    • #17
      msgcat is part of the standard GNU gettext download. Sorry, if your distribution forgot / chose to not include part of the package.

      Our 'compilation chain' is based on Debian/Ubuntu packages. (And there, ant-optional is even installed by default when ant is installed.)

      Comment


      • #18
        As mentioned in the installation manual the guide is primary for debian systems. Open-Xchange has no influence on what the different distributors package their system with
        Well, there are many dependencies, but i managed it without bigger problems on ubuntu 6.06 LTS. OK, to be fair - i sit next to the developers and know the product "a bit" but i installed a proper system according to the guide, even if finding all dependencies was somewhat time consuming

        Comment


        • #19
          I can understand that developping an application for multiple plateforms is definitely a hard task. In fact, I'm doing such a work for my own application for Linux / Windows.

          By the way, the only way I found to tackle this problem is to compile / install / use the application on several platforms and make startegic decision on using or not that pretty tool that can broke my compilation tool chain on another system.

          Anyway, that's anotehr topic I can imagine. The solution for SuSE user here is to install the gettext-devel package which contains the extra msgcat prgm.

          Comment


          • #20
            Code:
            open-xchange-gui # ant -Dlib.dir=/opt/open-xchange/lib/
            Buildfile: build.xml
            
            css:
                 [xslt] Processing /tmp/open-xchange-gui/style.xml to /tmp/open-xchange-gui/build/border.css
                 [xslt] Loading stylesheet /tmp/open-xchange-gui/css.xsl
               [concat] /tmp/open-xchange-gui/css/livegrid.css  does not exist.
            
            html:
            
            build page:
                 [xslt] Processing /tmp/open-xchange-gui/html/index.xml to /tmp/open-xchange-gui/index.html
                 [xslt] Loading stylesheet /tmp/open-xchange-gui/build.xsl
                 [xslt] : Fatal Error! org.xml.sax.SAXException: Can not resolve namespace prefix: #all Cause: org.xml.sax.SAXException: Can not resolve namespace prefix: #all
                 [xslt] Failed to process /tmp/open-xchange-gui/html/index.xml
            
            BUILD FAILED
            /tmp/open-xchange-gui/build.xml:89: The following error occurred while executing this line:
            /tmp/open-xchange-gui/build.xml:45: Fatal error during transformation
            
            Total time: 0 seconds
            The livegrid.css error seems to have returned, and another glitch has presented itself. I've installed all the ant-packages that I could find (this time under Gentoo), so I haven't got a clue where it relates to...

            Removing the space in build.xml for livegrid didn't fix it by the way.

            Comment


            • #21
              I'm slowly beginning to think it's an error in the build.xsl and not in my tools. Can anyone verify this?

              Comment


              • #22
                Well. i built the gui without a single problem on a ubuntu 6.06 system using the same cvs source.
                Last edited by Martin Heiland; 03-03-2007, 07:47 PM.

                Comment


                • #23
                  I'm performing various Installations on Debian Etch and can not reproduce this problem, too.

                  @RedNalie
                  You're using saxon8-9-0-2j as mentioned I hope?
                  All other .jars have the Versionnumbers mentioned in wiki, too?

                  Daniel

                  Comment


                  • #24
                    Originally posted by Daniel Halbe View Post
                    I'm performing various Installations on Debian Etch and can not reproduce this problem, too.

                    @RedNalie
                    You're using saxon8-9-0-2j as mentioned I hope?
                    All other .jars have the Versionnumbers mentioned in wiki, too?

                    Daniel
                    All Jars are checked

                    The thing is, I did a proper installation on an Ubuntu distro as well, but I can't seem to get it work with Gentoo at this point. Is this stage in the process pure depending on the .jars or are other tools required too (I have the ant optional stuff installed)? I haven't got a clue which tool is responsible for this part, so I'm not sure where to look for versioning info (which may be different for Ubuntu/Gentoo).

                    Comment


                    • #25
                      Hmm, no idea because I'm no developer. Perhaps the developers can help you tomorrow.

                      But it would be fantastic if you could write a short documentation when you have the ox running - which ebuilds you installed, the use flags and the configs. Fast done for you but will speed up the work of all other Gentoo Users

                      Daniel

                      Comment


                      • #26
                        Originally posted by Daniel Halbe View Post
                        I'm performing various Installations on Debian Etch and can not reproduce this problem, too.

                        @RedNalie
                        You're using saxon8-9-0-2j as mentioned I hope?
                        All other .jars have the Versionnumbers mentioned in wiki, too?

                        Daniel
                        Originally posted by Daniel Halbe View Post
                        Hmm, no idea because I'm no developer. Perhaps the developers can help you tomorrow.

                        But it would be fantastic if you could write a short documentation when you have the ox running - which ebuilds you installed, the use flags and the configs. Fast done for you but will speed up the work of all other Gentoo Users

                        Daniel
                        If everything works I might even write an ebuild for the entire proces (first have to learn how though ). I will certainly document things for others when I get this to work.

                        Comment


                        • #27
                          Originally posted by RedNalie View Post
                          Code:
                          build page:
                               [xslt] Processing /tmp/open-xchange-gui/html/index.xml to /tmp/open-xchange-gui/index.html
                               [xslt] Loading stylesheet /tmp/open-xchange-gui/build.xsl
                               [xslt] : Fatal Error! org.xml.sax.SAXException: Can not resolve namespace prefix: #all Cause: org.xml.sax.SAXException: Can not resolve namespace prefix: #all
                               [xslt] Failed to process /tmp/open-xchange-gui/html/index.xml
                          
                          BUILD FAILED
                          /tmp/open-xchange-gui/build.xml:89: The following error occurred while executing this line:
                          /tmp/open-xchange-gui/build.xml:45: Fatal error during transformation
                          
                          Total time: 0 seconds
                          The livegrid.css error seems to have returned, and another glitch has presented itself. I've installed all the ant-packages that I could find (this time under Gentoo), so I haven't got a clue where it relates to...
                          I found out the same problem under Fedora Core and solved it removing the xalan-j2 jars from the classpath (on Fedora just move the /usr/share/java/xalan-j2* files to somewhere else when you are compiling).

                          Not sure about Gentoo, but it worked for me.

                          Comment


                          • #28
                            Allmost there ...

                            On my system Centos 4.3 I have successfully compiled open-xchange and open-xchange-admin, set db only I need to do is compile the gui, but im not able to do that, im using ant ant-optional 1.5-2.5, the error msg is get is as follow

                            Buildfile: build.xml

                            BUILD FAILED
                            file:/home/OX6/open-xchange-gui/build.xml:61: The <filelist> data type doesn't support the nested "file" element.

                            Total time: 0 seconds

                            Tronn

                            Comment


                            • #29
                              Originally posted by arcade View Post
                              I found out the same problem under Fedora Core and solved it removing the xalan-j2 jars from the classpath (on Fedora just move the /usr/share/java/xalan-j2* files to somewhere else when you are compiling).

                              Not sure about Gentoo, but it worked for me.
                              That did it for me too, tnx .

                              Now all we need to find out is whether Xalan is required to build this stuff normally (cause according to what I found on Google that means the build.xsl is faulty).

                              Comment


                              • #30
                                Allmost there ... [SOLVED]

                                Originally posted by tronn View Post
                                On my system Centos 4.3 I have successfully compiled open-xchange and open-xchange-admin, set db only I need to do is compile the gui, but im not able to do that, im using ant ant-optional 1.5-2.5, the error msg is get is as follow

                                Buildfile: build.xml

                                BUILD FAILED
                                file:/home/OX6/open-xchange-gui/build.xml:61: The <filelist> data type doesn't support the nested "file" element.

                                Total time: 0 seconds

                                Tronn
                                I moved all the xalan files to another directory

                                Downloaded the latest ant from ant.apache.org to /tmp
                                extracted the files, tar zxvf ant-1.7.0.tar.gz
                                mv apache-ant-1.7.0 ant [renamed the directory ]
                                mv ant/ /usr/local/ [ moved the ant directory to /usr/local/ant ]
                                export ANT_HOME=/usr/local/ant [ set the enviroment ]
                                export PATH=$PATH:/usr/local/ant/bin [ set the new path to ant ]

                                then I compiled the open-xchange-gui as described in the guide


                                This worked for me, hope it could help others with the same problem


                                Tronn

                                PS Do I need the xalan files ?

                                Comment

                                Working...
                                X